#include "QL.h"
#include "qem.h"
#include "pqdial.h"
#include "pqset.h"
#include "qtpptr.h"
#include "qstr.h"


/* Qtp.c                */

extern  DoStatus ();
extern  OutError (char *);
extern  Report (char *);
extern  QErr (char *, int );

/* QtpMenu.c            */

extern  MenuFiles (struct WM_wwork *);
extern  MenuModem (struct WM_wwork *);
extern  MenuXfer (struct WM_wwork *);
extern  MiscMenu(struct WM_wwork *);
extern  char *XPRMenu (struct WM_wwork *);
extern  PrefsComMenu (struct WM_wwork *);
extern  int GetFileName (struct WM_wwork *, char *, char *, int, int,int);

/* Qsetup.c             */

extern  EditPrefs (struct WM_wwork *, struct QD_text *, PEDITLIST, struct WM_litm *);

/* pqem.c               */

extern  QeMInit (int, char **);

/* pqproc.c             */

extern  ProcessKeys (unsigned char);
extern  ProcessNorm (UCHAR);
extern  QConStat ();
extern  SendFile (int *);
extern  AddCapBuff (char);
extern  CaptureChar (UCHAR);
extern  QTInit ();
extern  SetupInit ();
extern  QShut ();
extern  void SendString (char *);
extern  CanSub (char);
extern  SoundOff (int);
extern  DoMiscAct(int);

/* pqset.c              */

extern  int pSave ();
extern  int pRestore ();
extern  int pDefault ();
extern  SetParams (int);
extern  QCInit ();

/* qedit.c              */

extern  EditQcon (struct WM_wwork *);
extern  EditSetup (struct WM_wwork *);
extern  EditDial (struct WM_wwork *, PEDITLIST);

/* pqmenu.c             */

extern  OnModemMenu (struct WM_wwork *, int);
extern  DoCaptureItem (struct WM_wwork *, int);
extern  DoSendItem (struct WM_wwork *);
extern  char *CheckPhone (char *);
extern  int SetDial (char *);
extern  DoDefLog ();
extern  OpenCapFile (char *, int);
extern  ScreenStat ();
extern  CloseCapFile ();
extern  CloseSendFile ();
extern  MakeCapBuff ();
extern  ReDial (char *);

/* pqdial.c             */

extern  int CompareMenu (PMDEF, PMDEF);
extern  SaveList (int);
extern  MenuDial (struct WM_wwork *);

/* qdsetup.c            */

extern  QCLoad_Setup ();
extern  SLoad_Setup ();
extern  QCLoad_Flags (PPHONE_LIST);
extern  SLoad_Flags (PPHONE_LIST);
extern  SetText (PEDITLIST, PPHONE_LIST);
extern  UnloadQC (PPHONE_LIST);
extern  UnloadSer (PPHONE_LIST);
extern  ConfigQC (PPHONE_LIST);
extern  ConfigSer (PPHONE_LIST);
extern  char *OptText (PPHONE_LIST, int, int);

/* qvt100.c             */

extern  VT100Init ();
extern  GoOnLine ();
extern  ProcessSerial (UCHAR);
extern  NewLine ();
extern  WriteChar (UCHAR);
extern  ScrollTop ();
extern  ScrollScreen (int);

/* xprstuff.c           */

extern  BuildXMenu (PLLIST *);
extern  XPRFind (char *, int);
extern  FreeXList (PLLIST *);
extern  XPRUse (char *);
extern  XPRKill ();

/* about.c              */

extern  struct WM_wwork * AboutQTPI (int);

/* litem.c              */

extern  long lit_event (struct WM_wwork *, struct WM_litm *);
extern  long lit_reset (struct WM_wwork *, short);
extern  long lit_resev (struct WM_wwork *, struct WM_litm *);

/* menu-choice.c        */

extern  int menu_choice (struct WM_wwork *,char *,int,int,char *litm);

/* menu.c               */

extern  int menu (struct WM_wwork *, char *, PLLIST *, int, char, char, short, struct WM_litm *, int nlitem);

/* menusubs.c           */

extern  void LoadMenu (struct WM_menw *, PLLIST, struct WM_action *);

/* menu-chks.c          */

extern  void menu_chks (struct WM_menw *);
extern  void menu_rems (struct WM_menw *);

/* menu-text.c          */

extern  struct QD_text * QSTRING(struct QD_text *, char *, int);
extern  short menu_text (struct WM_wwork *, char *, char *, int);

/* list.c               */

extern  ins_list (PLLIST *, PLLIST, int (*) ());
extern  rem_node (PLLIST *, int);

